Update Ai Ticket Sync Connection
import requests
url = "https://platform.ankra.app/api/v1/org/ai-tickets/sync/connections/{connection_id}"
payload = {
"name": "<string>",
"config": {},
"credential": {},
"enabled": True,
"sync_kinds": ["<string>"],
"sync_min_priority": "<string>",
"sync_event_scope": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {},
credential: {},
enabled: true,
sync_kinds: ['<string>'],
sync_min_priority: '<string>',
sync_event_scope: '<string>'
})
};
fetch('https://platform.ankra.app/api/v1/org/ai-tickets/sync/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/ai-tickets/sync/connections/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {},
"credential": {},
"enabled": true,
"sync_kinds": [
"<string>"
],
"sync_min_priority": "<string>",
"sync_event_scope": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"config": {},
"enabled": true,
"credential_configured": true,
"sync_kinds": [
"<string>"
],
"sync_min_priority": "<string>",
"sync_event_scope": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AI Tickets
Update Ai Ticket Sync Connection
PUT
/
api
/
v1
/
org
/
ai-tickets
/
sync
/
connections
/
{connection_id}
Update Ai Ticket Sync Connection
import requests
url = "https://platform.ankra.app/api/v1/org/ai-tickets/sync/connections/{connection_id}"
payload = {
"name": "<string>",
"config": {},
"credential": {},
"enabled": True,
"sync_kinds": ["<string>"],
"sync_min_priority": "<string>",
"sync_event_scope": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {},
credential: {},
enabled: true,
sync_kinds: ['<string>'],
sync_min_priority: '<string>',
sync_event_scope: '<string>'
})
};
fetch('https://platform.ankra.app/api/v1/org/ai-tickets/sync/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://platform.ankra.app/api/v1/org/ai-tickets/sync/connections/{connection_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {},
"credential": {},
"enabled": true,
"sync_kinds": [
"<string>"
],
"sync_min_priority": "<string>",
"sync_event_scope": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"config": {},
"enabled": true,
"credential_configured": true,
"sync_kinds": [
"<string>"
],
"sync_min_priority": "<string>",
"sync_event_scope": "<string>",
"last_synced_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response